# FoundationClasses
TKernel
TShort

# TShort_HArray1OfShortReal Class Reference

`#include <TShort_HArray1OfShortReal.hxx>`

Inheritance diagram for TShort_HArray1OfShortReal:

[legend]

## Public Member Functions

Standard_EXPORT | TShort_HArray1OfShortReal (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TShort_HArray1OfShortReal (const Standard_Integer Low, const Standard_Integer Up, const Standard_ShortReal &V)
Standard_EXPORT void | Init (const Standard_ShortReal &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Standard_ShortReal &Value)
const Standard_ShortReal & | Value (const Standard_Integer Index) const
Standard_ShortReal & | ChangeValue (const Standard_Integer Index)
const TShort_Array1OfShortReal & | Array1 () const
TShort_Array1OfShortReal & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TShort_Array1OfShortReal | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TShort_HArray1OfShortReal::TShort_HArray1OfShortReal | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TShort_HArray1OfShortReal::TShort_HArray1OfShortReal | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Standard_ShortReal & | V
| ) |

## Member Function Documentation

const TShort_Array1OfShortReal& TShort_HArray1OfShortReal::Array1 | ( |  | ) | const

TShort_Array1OfShortReal& TShort_HArray1OfShortReal::ChangeArray1 | ( |  | ) |

Standard_ShortReal& TShort_HArray1OfShortReal::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TShort_HArray1OfShortReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TShort_HArray1OfShortReal::Init | ( | const Standard_ShortReal & | V | ) |

Standard_Integer TShort_HArray1OfShortReal::Length | ( |  | ) | const

Standard_Integer TShort_HArray1OfShortReal::Lower | ( |  | ) | const

void TShort_HArray1OfShortReal::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_ShortReal & | Value
| ) |

Standard_Integer TShort_HArray1OfShortReal::Upper | ( |  | ) | const

const Standard_ShortReal& TShort_HArray1OfShortReal::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TShort_Array1OfShortReal TShort_HArray1OfShortReal::myArray `[private]`

The documentation for this class was generated from the following file:

- TShort_HArray1OfShortReal.hxx